//---------------------------------------------------------------------------
// echo client
// connect as many of these clients to the echo server
// start the server first on your local system, then
// start as many clients as you want, the server creates
// a new instance of zsocket to handle each new client

#include <vcl\vcl.h>
#pragma hdrstop

#include "eunit.h"
//---------------------------------------------------------------------------
#pragma link "zsocket"
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
// send a string of text to the echo server, it will be echoed back
void __fastcall TForm1::Timer1Timer(TObject *Sender)
{
	ZSocket1->Text = Edit2->Text;
}
//---------------------------------------------------------------------------
// connect to the server
void __fastcall TForm1::Button1Click(TObject *Sender)
{
	ZSocket1->ZConnect();
    Label4->Caption = "";
}
//---------------------------------------------------------------------------
// handle connect event
void __fastcall TForm1::ZSocket1Connect(TObject *Sender)
{
	Timer1->Enabled = TRUE;
    count = 0;
}
//---------------------------------------------------------------------------
// get data from server, and display it
void __fastcall TForm1::ZSocket1DataAvailable(TObject *Sender)
{
char	str[256];
AnsiString as;

	sprintf(str, "%d", count++);
    as = str;
	Label4->Caption = ZSocket1->Text + ": " + as;
}
//---------------------------------------------------------------------------
// show any errors we get
void __fastcall TForm1::ZSocket1Error(TObject *Sender, int error,
	AnsiString errorstr, SOCKET aSocket)
{
	Timer1->Enabled = FALSE;
    Edit1->Text = errorstr;
}
//---------------------------------------------------------------------------
// disconnect
void __fastcall TForm1::Button2Click(TObject *Sender)
{
	ZSocket1->ZClose();
}
//---------------------------------------------------------------------------
